mav_SMSIntersectLine(3)

NAME
mav_SMSIntersectLine - Intersect an SMS with a line.

LEVEL
Maverik Level 2

SYNTAX
int mav_SMSIntersectLine(MAV_window *w, MAV_SMS *sms, MAV_line ln, MAV_objectIntersection *oi, MAV_object **o);

ARGUMENTS

MAV_window *w
    The window.

MAV_SMS *sms
    The SMS.

MAV_line ln
    Line for intersection test.

MAV_objectIntersection *oi
    Intersection point (if any)

MAV_object **o
    Intersection object (if any)

DESCRIPTION
The function intersects all objects in a given SMS with line ln. If an intersection is detected, the function returns MAV_TRUE, otherwise MAV_FALSE. The closest intersection point is returned in oi, and a pointer to the intersecting object in o.